﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Telerik.UI.Xaml.Controls.Chart;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace ID937981
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            this.chart.DataContext = new double[] { 20, 30, 50, 10, 60, 40, 20, 80 };
        }
    }

    public class MyToolTipBehavior : ChartTooltipBehavior
    {
        public MyToolTipBehavior()
        {

        }

        public override bool HandleTooltipManually
        {
            get
            {
                return true;
            }
        }

        protected override void OnTapped(TappedRoutedEventArgs args)
        {
            base.OnTapped(args);
            this.SetInteractionPoint(args.GetPosition(this.Chart));
            this.ShowToolTip();
        }

        protected override void OnManipulationCompleted(ManipulationCompletedRoutedEventArgs args)
        {
            base.OnManipulationCompleted(args);
            this.HideTooltip();
        }
    }

}
